<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="9532" systemVersion="15D21" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES">
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="9530"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="CommodityMutipleSelectBottomView"/>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view contentMode="scaleToFill" id="iN0-l3-epB" customClass="CommodityMutipleSelectBottomView">
            <rect key="frame" x="0.0" y="0.0" width="320" height="95"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <button opaque="NO" contentMode="scaleToFill" misplaced="YES" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="kJF-jD-kCU">
                    <rect key="frame" x="8" y="0.0" width="67" height="95"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="35" id="T70-gy-1Ql"/>
                        <constraint firstAttribute="width" constant="94" id="cpG-PV-eh6"/>
                    </constraints>
                    <fontDescription key="fontDescription" type="system" pointSize="21"/>
                    <state key="normal" title="全选" image="mutipleDeselect">
                        <color key="titleColor" red="0.0" green="0.0" blue="0.0" alpha="1" colorSpace="calibratedRGB"/>
                    </state>
                    <variation key="default">
                        <mask key="constraints">
                            <exclude reference="T70-gy-1Ql"/>
                            <exclude reference="cpG-PV-eh6"/>
                        </mask>
                    </variation>
                </button>
                <button opaque="NO" contentMode="scaleToFill" misplaced="YES" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="k9d-7S-PR5">
                    <rect key="frame" x="173" y="26" width="66" height="44"/>
                    <fontDescription key="fontDescription" type="system" pointSize="21"/>
                    <state key="normal" title="下架" backgroundImage="greenbtn_bg">
                        <color key="titleColor" white="1" alpha="1" colorSpace="calibratedWhite"/>
                    </state>
                </button>
                <button opaque="NO" contentMode="scaleToFill" misplaced="YES" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="QZW-mi-oUQ">
                    <rect key="frame" x="100" y="26" width="65" height="44"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="44" id="aLI-tT-ELQ"/>
                    </constraints>
                    <fontDescription key="fontDescription" type="system" pointSize="21"/>
                    <state key="normal" title="删除" backgroundImage="blackbtn">
                        <color key="titleColor" white="1" alpha="1" colorSpace="calibratedWhite"/>
                    </state>
                </button>
                <button opaque="NO" contentMode="scaleToFill" horizontalCompressionResistancePriority="749" misplaced="YES" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="5Md-Ga-YFh">
                    <rect key="frame" x="247" y="26" width="65" height="44"/>
                    <fontDescription key="fontDescription" type="system" pointSize="21"/>
                    <state key="normal" title="上架" backgroundImage="greenbtn_bg">
                        <color key="titleColor" white="1" alpha="1" colorSpace="calibratedWhite"/>
                    </state>
                </button>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="5Xc-z0-rJW">
                    <rect key="frame" x="0.0" y="0.0" width="320" height="1"/>
                    <color key="backgroundColor" white="0.66666666669999997" alpha="0.16272836539999999" colorSpace="calibratedWhite"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="1" id="tdv-sK-tn5"/>
                    </constraints>
                </view>
            </subviews>
            <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="calibratedWhite"/>
            <constraints>
                <constraint firstItem="k9d-7S-PR5" firstAttribute="centerY" secondItem="QZW-mi-oUQ" secondAttribute="centerY" id="43z-Sc-Xuo"/>
                <constraint firstAttribute="trailing" secondItem="5Md-Ga-YFh" secondAttribute="trailing" constant="8" id="4Hp-LO-CLc"/>
                <constraint firstItem="5Md-Ga-YFh" firstAttribute="width" secondItem="k9d-7S-PR5" secondAttribute="width" id="56n-Hz-fmp"/>
                <constraint firstItem="5Md-Ga-YFh" firstAttribute="leading" secondItem="k9d-7S-PR5" secondAttribute="trailing" constant="8" id="5or-R4-5PG"/>
                <constraint firstItem="kJF-jD-kCU" firstAttribute="top" secondItem="iN0-l3-epB" secondAttribute="top" id="A1I-SN-Ieb"/>
                <constraint firstAttribute="bottom" secondItem="kJF-jD-kCU" secondAttribute="bottom" id="A4B-5S-WTg"/>
                <constraint firstItem="5Xc-z0-rJW" firstAttribute="leading" secondItem="iN0-l3-epB" secondAttribute="leading" id="EAA-p1-96C"/>
                <constraint firstItem="5Md-Ga-YFh" firstAttribute="leading" secondItem="k9d-7S-PR5" secondAttribute="trailing" constant="8" id="EGp-Hd-dp2"/>
                <constraint firstItem="k9d-7S-PR5" firstAttribute="centerY" secondItem="iN0-l3-epB" secondAttribute="centerY" id="GCl-SI-fbU"/>
                <constraint firstItem="k9d-7S-PR5" firstAttribute="leading" secondItem="QZW-mi-oUQ" secondAttribute="trailing" constant="8" id="GZ3-s7-iQJ"/>
                <constraint firstItem="k9d-7S-PR5" firstAttribute="height" secondItem="QZW-mi-oUQ" secondAttribute="height" id="IRs-Ts-9dT"/>
                <constraint firstItem="k9d-7S-PR5" firstAttribute="leading" secondItem="QZW-mi-oUQ" secondAttribute="trailing" constant="8" id="Iju-j8-IKd"/>
                <constraint firstItem="k9d-7S-PR5" firstAttribute="width" secondItem="QZW-mi-oUQ" secondAttribute="width" id="LB3-aw-Pv8"/>
                <constraint firstItem="k9d-7S-PR5" firstAttribute="leading" secondItem="QZW-mi-oUQ" secondAttribute="trailing" constant="8" id="MOb-gs-DLh"/>
                <constraint firstAttribute="trailing" secondItem="5Md-Ga-YFh" secondAttribute="trailing" constant="8" id="PC3-Hy-lPx"/>
                <constraint firstItem="5Md-Ga-YFh" firstAttribute="centerY" secondItem="k9d-7S-PR5" secondAttribute="centerY" id="R2l-Zb-bHA"/>
                <constraint firstItem="QZW-mi-oUQ" firstAttribute="leading" secondItem="kJF-jD-kCU" secondAttribute="trailing" constant="8" id="VR7-7x-jHy"/>
                <constraint firstAttribute="trailing" secondItem="5Xc-z0-rJW" secondAttribute="trailing" id="WnO-bO-Hvd"/>
                <constraint firstItem="QZW-mi-oUQ" firstAttribute="centerY" secondItem="iN0-l3-epB" secondAttribute="centerY" id="dJQ-7V-iBG"/>
                <constraint firstItem="5Md-Ga-YFh" firstAttribute="height" secondItem="QZW-mi-oUQ" secondAttribute="height" id="dZd-dK-dPu"/>
                <constraint firstItem="k9d-7S-PR5" firstAttribute="leading" secondItem="QZW-mi-oUQ" secondAttribute="trailing" constant="8" id="eH8-j0-MBp"/>
                <constraint firstItem="5Xc-z0-rJW" firstAttribute="top" secondItem="iN0-l3-epB" secondAttribute="top" id="eqE-Zq-iUH"/>
                <constraint firstItem="5Md-Ga-YFh" firstAttribute="leading" secondItem="k9d-7S-PR5" secondAttribute="trailing" constant="8" id="f9T-ZB-P7c"/>
                <constraint firstItem="k9d-7S-PR5" firstAttribute="width" secondItem="QZW-mi-oUQ" secondAttribute="width" constant="1" id="g0e-4F-4mc"/>
                <constraint firstItem="QZW-mi-oUQ" firstAttribute="leading" secondItem="kJF-jD-kCU" secondAttribute="trailing" constant="25" id="ggz-mv-b1G"/>
                <constraint firstItem="QZW-mi-oUQ" firstAttribute="centerY" secondItem="iN0-l3-epB" secondAttribute="centerY" id="jEh-5Q-p1T"/>
                <constraint firstAttribute="bottom" secondItem="kJF-jD-kCU" secondAttribute="bottom" id="jZR-n2-GDK"/>
                <constraint firstItem="kJF-jD-kCU" firstAttribute="top" secondItem="iN0-l3-epB" secondAttribute="top" id="jn1-ZD-PoD"/>
                <constraint firstItem="5Md-Ga-YFh" firstAttribute="leading" secondItem="k9d-7S-PR5" secondAttribute="trailing" constant="8" id="kYJ-tz-Xxd"/>
                <constraint firstItem="kJF-jD-kCU" firstAttribute="centerY" secondItem="iN0-l3-epB" secondAttribute="centerY" id="l7k-O7-m4K"/>
                <constraint firstItem="5Md-Ga-YFh" firstAttribute="centerY" secondItem="QZW-mi-oUQ" secondAttribute="centerY" id="nl3-pp-Imd"/>
                <constraint firstItem="QZW-mi-oUQ" firstAttribute="leading" secondItem="kJF-jD-kCU" secondAttribute="trailing" constant="8" id="uHZ-cs-2yG"/>
                <constraint firstItem="kJF-jD-kCU" firstAttribute="leading" secondItem="iN0-l3-epB" secondAttribute="leading" constant="8" id="vyG-Nc-drF"/>
                <constraint firstItem="5Md-Ga-YFh" firstAttribute="width" secondItem="QZW-mi-oUQ" secondAttribute="width" id="wDt-mD-6EU"/>
                <constraint firstItem="kJF-jD-kCU" firstAttribute="leading" secondItem="iN0-l3-epB" secondAttribute="leading" constant="8" id="zL2-e6-QHj"/>
            </constraints>
            <freeformSimulatedSizeMetrics key="simulatedDestinationMetrics"/>
            <variation key="default">
                <mask key="constraints">
                    <exclude reference="A4B-5S-WTg"/>
                    <exclude reference="jn1-ZD-PoD"/>
                    <exclude reference="l7k-O7-m4K"/>
                    <exclude reference="vyG-Nc-drF"/>
                    <exclude reference="VR7-7x-jHy"/>
                    <exclude reference="dJQ-7V-iBG"/>
                    <exclude reference="uHZ-cs-2yG"/>
                    <exclude reference="GCl-SI-fbU"/>
                    <exclude reference="GZ3-s7-iQJ"/>
                    <exclude reference="Iju-j8-IKd"/>
                    <exclude reference="LB3-aw-Pv8"/>
                    <exclude reference="eH8-j0-MBp"/>
                    <exclude reference="4Hp-LO-CLc"/>
                    <exclude reference="56n-Hz-fmp"/>
                    <exclude reference="EGp-Hd-dp2"/>
                    <exclude reference="R2l-Zb-bHA"/>
                    <exclude reference="f9T-ZB-P7c"/>
                </mask>
            </variation>
            <connections>
                <outlet property="buttonDelete" destination="QZW-mi-oUQ" id="QkC-Os-mZt"/>
                <outlet property="buttonPutOffShelf" destination="k9d-7S-PR5" id="eis-Jq-2Dp"/>
                <outlet property="buttonPutOnShelf" destination="5Md-Ga-YFh" id="sGP-e9-G4I"/>
                <outlet property="buttonSelectAll" destination="kJF-jD-kCU" id="kA0-eB-Qe3"/>
            </connections>
            <point key="canvasLocation" x="-242" y="58.5"/>
        </view>
    </objects>
    <resources>
        <image name="blackbtn" width="112" height="66"/>
        <image name="greenbtn_bg" width="112" height="66"/>
        <image name="mutipleDeselect" width="25" height="25"/>
    </resources>
</document>
